Package org.gradle.caching

## Interface BuildCacheKey

- All Superinterfaces:
    `Describable`

      public interface BuildCacheKey
      extends Describable

  Cache key identifying an entry in the build cache.
  Since:
    3.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getHashCode()` | Returns the string representation of the cache key.
    `byte[]` | `toByteArray()` | Returns the byte array representation of the cache key.

    - ### Methods inherited from interface org.gradle.api.Describable

      `getDisplayName`

- - ### Method Detail

    - #### getHashCode

          String getHashCode()

      Returns the string representation of the cache key.

    - #### toByteArray

          @Incubating
          byte[] toByteArray()

      Returns the byte array representation of the cache key.
      Since:
        5.4